# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AadConfiguration,
    AdministrativeCredentials,
    AdministratorConfiguration,
    AdministratorConfigurationPatch,
    AgentOptions,
    AgentPool,
    AgentPoolConfiguration,
    AgentPoolList,
    AgentPoolPatchParameters,
    AgentPoolUpgradeSettings,
    AttachedNetworkConfiguration,
    AvailableUpgrade,
    BareMetalMachine,
    BareMetalMachineCommandSpecification,
    BareMetalMachineConfigurationData,
    BareMetalMachineCordonParameters,
    BareMetalMachineKeySet,
    BareMetalMachineKeySetList,
    BareMetalMachineKeySetPatchParameters,
    BareMetalMachineList,
    BareMetalMachinePatchParameters,
    BareMetalMachinePowerOffParameters,
    BareMetalMachineReplaceParameters,
    BareMetalMachineRunCommandParameters,
    BareMetalMachineRunDataExtractsParameters,
    BareMetalMachineRunReadCommandsParameters,
    BgpAdvertisement,
    BgpServiceLoadBalancerConfiguration,
    BmcKeySet,
    BmcKeySetList,
    BmcKeySetPatchParameters,
    CloudServicesNetwork,
    CloudServicesNetworkList,
    CloudServicesNetworkPatchParameters,
    Cluster,
    ClusterAvailableUpgradeVersion,
    ClusterAvailableVersion,
    ClusterCapacity,
    ClusterContinueUpdateVersionParameters,
    ClusterDeployParameters,
    ClusterList,
    ClusterManager,
    ClusterManagerList,
    ClusterManagerPatchParameters,
    ClusterMetricsConfiguration,
    ClusterMetricsConfigurationList,
    ClusterMetricsConfigurationPatchParameters,
    ClusterPatchParameters,
    ClusterScanRuntimeParameters,
    ClusterSecretArchive,
    ClusterUpdateStrategy,
    ClusterUpdateVersionParameters,
    CommandOutputSettings,
    Console,
    ConsoleList,
    ConsolePatchParameters,
    ControlPlaneNodeConfiguration,
    ControlPlaneNodePatchConfiguration,
    EgressEndpoint,
    EndpointDependency,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExtendedLocation,
    FeatureStatus,
    HardwareInventory,
    HardwareInventoryNetworkInterface,
    HardwareValidationStatus,
    IdentitySelector,
    ImageRepositoryCredentials,
    InitialAgentPoolConfiguration,
    IpAddressPool,
    KeySetUser,
    KeySetUserStatus,
    KubernetesCluster,
    KubernetesClusterFeature,
    KubernetesClusterFeatureList,
    KubernetesClusterFeaturePatchParameters,
    KubernetesClusterList,
    KubernetesClusterNode,
    KubernetesClusterPatchParameters,
    KubernetesClusterRestartNodeParameters,
    KubernetesLabel,
    L2Network,
    L2NetworkAttachmentConfiguration,
    L2NetworkList,
    L2NetworkPatchParameters,
    L2ServiceLoadBalancerConfiguration,
    L3Network,
    L3NetworkAttachmentConfiguration,
    L3NetworkList,
    L3NetworkPatchParameters,
    LldpNeighbor,
    MachineDisk,
    MachineSkuSlot,
    ManagedResourceGroupConfiguration,
    ManagedServiceIdentity,
    NetworkAttachment,
    NetworkConfiguration,
    NetworkInterface,
    Nic,
    NodePoolAdministratorConfigurationPatch,
    Operation,
    OperationDisplay,
    OperationListResult,
    OperationStatusResult,
    OsDisk,
    Rack,
    RackDefinition,
    RackList,
    RackPatchParameters,
    RackSku,
    RackSkuList,
    Resource,
    RuntimeProtectionConfiguration,
    RuntimeProtectionStatus,
    SecretArchiveReference,
    SecretRotationStatus,
    ServiceLoadBalancerBgpPeer,
    ServicePrincipalInformation,
    SshPublicKey,
    StorageAppliance,
    StorageApplianceConfigurationData,
    StorageApplianceEnableRemoteVendorManagementParameters,
    StorageApplianceList,
    StorageAppliancePatchParameters,
    StorageApplianceSkuSlot,
    StorageProfile,
    StringKeyValuePair,
    SystemData,
    TagsParameter,
    TrackedResource,
    TrunkedNetwork,
    TrunkedNetworkAttachmentConfiguration,
    TrunkedNetworkList,
    TrunkedNetworkPatchParameters,
    UserAssignedIdentity,
    ValidationThreshold,
    VirtualMachine,
    VirtualMachineList,
    VirtualMachinePatchParameters,
    VirtualMachinePlacementHint,
    VirtualMachinePowerOffParameters,
    Volume,
    VolumeList,
    VolumePatchParameters,
)

from ._network_cloud_mgmt_client_enums import (  # type: ignore
    ActionType,
    AdvertiseToFabric,
    AgentPoolDetailedStatus,
    AgentPoolMode,
    AgentPoolProvisioningState,
    AvailabilityLifecycle,
    BareMetalMachineCordonStatus,
    BareMetalMachineDetailedStatus,
    BareMetalMachineEvacuate,
    BareMetalMachineHardwareValidationResult,
    BareMetalMachineKeySetDetailedStatus,
    BareMetalMachineKeySetPrivilegeLevel,
    BareMetalMachineKeySetProvisioningState,
    BareMetalMachineKeySetUserSetupStatus,
    BareMetalMachinePowerState,
    BareMetalMachineProvisioningState,
    BareMetalMachineReadyState,
    BareMetalMachineSkipShutdown,
    BfdEnabled,
    BgpMultiHop,
    BmcKeySetDetailedStatus,
    BmcKeySetPrivilegeLevel,
    BmcKeySetProvisioningState,
    BootstrapProtocol,
    CloudServicesNetworkDetailedStatus,
    CloudServicesNetworkEnableDefaultEgressEndpoints,
    CloudServicesNetworkProvisioningState,
    ClusterConnectionStatus,
    ClusterContinueUpdateVersionMachineGroupTargetingMode,
    ClusterDetailedStatus,
    ClusterManagerConnectionStatus,
    ClusterManagerDetailedStatus,
    ClusterManagerProvisioningState,
    ClusterMetricsConfigurationDetailedStatus,
    ClusterMetricsConfigurationProvisioningState,
    ClusterProvisioningState,
    ClusterScanRuntimeParametersScanActivity,
    ClusterSecretArchiveEnabled,
    ClusterType,
    ClusterUpdateStrategyType,
    ConsoleDetailedStatus,
    ConsoleEnabled,
    ConsoleProvisioningState,
    ControlImpact,
    CreatedByType,
    DefaultGateway,
    DeviceConnectionType,
    DiskType,
    FabricPeeringEnabled,
    FeatureDetailedStatus,
    HugepagesSize,
    HybridAksIpamEnabled,
    HybridAksPluginType,
    IpAllocationType,
    KubernetesClusterDetailedStatus,
    KubernetesClusterFeatureAvailabilityLifecycle,
    KubernetesClusterFeatureDetailedStatus,
    KubernetesClusterFeatureProvisioningState,
    KubernetesClusterFeatureRequired,
    KubernetesClusterNodeDetailedStatus,
    KubernetesClusterProvisioningState,
    KubernetesNodePowerState,
    KubernetesNodeRole,
    KubernetesPluginType,
    L2NetworkDetailedStatus,
    L2NetworkProvisioningState,
    L3NetworkConfigurationIpamEnabled,
    L3NetworkDetailedStatus,
    L3NetworkProvisioningState,
    MachineSkuDiskConnectionType,
    ManagedServiceIdentitySelectorType,
    ManagedServiceIdentityType,
    Origin,
    OsDiskCreateOption,
    OsDiskDeleteOption,
    RackDetailedStatus,
    RackProvisioningState,
    RackSkuProvisioningState,
    RackSkuType,
    RemoteVendorManagementFeature,
    RemoteVendorManagementStatus,
    RuntimeProtectionEnforcementLevel,
    SkipShutdown,
    StorageApplianceDetailedStatus,
    StorageApplianceProvisioningState,
    TrunkedNetworkDetailedStatus,
    TrunkedNetworkProvisioningState,
    ValidationThresholdGrouping,
    ValidationThresholdType,
    VirtualMachineBootMethod,
    VirtualMachineDetailedStatus,
    VirtualMachineDeviceModelType,
    VirtualMachineIPAllocationMethod,
    VirtualMachineIsolateEmulatorThread,
    VirtualMachinePlacementHintPodAffinityScope,
    VirtualMachinePlacementHintType,
    VirtualMachinePowerState,
    VirtualMachineProvisioningState,
    VirtualMachineSchedulingExecution,
    VirtualMachineVirtioInterfaceType,
    VolumeDetailedStatus,
    VolumeProvisioningState,
    WorkloadImpact,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AadConfiguration",
    "AdministrativeCredentials",
    "AdministratorConfiguration",
    "AdministratorConfigurationPatch",
    "AgentOptions",
    "AgentPool",
    "AgentPoolConfiguration",
    "AgentPoolList",
    "AgentPoolPatchParameters",
    "AgentPoolUpgradeSettings",
    "AttachedNetworkConfiguration",
    "AvailableUpgrade",
    "BareMetalMachine",
    "BareMetalMachineCommandSpecification",
    "BareMetalMachineConfigurationData",
    "BareMetalMachineCordonParameters",
    "BareMetalMachineKeySet",
    "BareMetalMachineKeySetList",
    "BareMetalMachineKeySetPatchParameters",
    "BareMetalMachineList",
    "BareMetalMachinePatchParameters",
    "BareMetalMachinePowerOffParameters",
    "BareMetalMachineReplaceParameters",
    "BareMetalMachineRunCommandParameters",
    "BareMetalMachineRunDataExtractsParameters",
    "BareMetalMachineRunReadCommandsParameters",
    "BgpAdvertisement",
    "BgpServiceLoadBalancerConfiguration",
    "BmcKeySet",
    "BmcKeySetList",
    "BmcKeySetPatchParameters",
    "CloudServicesNetwork",
    "CloudServicesNetworkList",
    "CloudServicesNetworkPatchParameters",
    "Cluster",
    "ClusterAvailableUpgradeVersion",
    "ClusterAvailableVersion",
    "ClusterCapacity",
    "ClusterContinueUpdateVersionParameters",
    "ClusterDeployParameters",
    "ClusterList",
    "ClusterManager",
    "ClusterManagerList",
    "ClusterManagerPatchParameters",
    "ClusterMetricsConfiguration",
    "ClusterMetricsConfigurationList",
    "ClusterMetricsConfigurationPatchParameters",
    "ClusterPatchParameters",
    "ClusterScanRuntimeParameters",
    "ClusterSecretArchive",
    "ClusterUpdateStrategy",
    "ClusterUpdateVersionParameters",
    "CommandOutputSettings",
    "Console",
    "ConsoleList",
    "ConsolePatchParameters",
    "ControlPlaneNodeConfiguration",
    "ControlPlaneNodePatchConfiguration",
    "EgressEndpoint",
    "EndpointDependency",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExtendedLocation",
    "FeatureStatus",
    "HardwareInventory",
    "HardwareInventoryNetworkInterface",
    "HardwareValidationStatus",
    "IdentitySelector",
    "ImageRepositoryCredentials",
    "InitialAgentPoolConfiguration",
    "IpAddressPool",
    "KeySetUser",
    "KeySetUserStatus",
    "KubernetesCluster",
    "KubernetesClusterFeature",
    "KubernetesClusterFeatureList",
    "KubernetesClusterFeaturePatchParameters",
    "KubernetesClusterList",
    "KubernetesClusterNode",
    "KubernetesClusterPatchParameters",
    "KubernetesClusterRestartNodeParameters",
    "KubernetesLabel",
    "L2Network",
    "L2NetworkAttachmentConfiguration",
    "L2NetworkList",
    "L2NetworkPatchParameters",
    "L2ServiceLoadBalancerConfiguration",
    "L3Network",
    "L3NetworkAttachmentConfiguration",
    "L3NetworkList",
    "L3NetworkPatchParameters",
    "LldpNeighbor",
    "MachineDisk",
    "MachineSkuSlot",
    "ManagedResourceGroupConfiguration",
    "ManagedServiceIdentity",
    "NetworkAttachment",
    "NetworkConfiguration",
    "NetworkInterface",
    "Nic",
    "NodePoolAdministratorConfigurationPatch",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OperationStatusResult",
    "OsDisk",
    "Rack",
    "RackDefinition",
    "RackList",
    "RackPatchParameters",
    "RackSku",
    "RackSkuList",
    "Resource",
    "RuntimeProtectionConfiguration",
    "RuntimeProtectionStatus",
    "SecretArchiveReference",
    "SecretRotationStatus",
    "ServiceLoadBalancerBgpPeer",
    "ServicePrincipalInformation",
    "SshPublicKey",
    "StorageAppliance",
    "StorageApplianceConfigurationData",
    "StorageApplianceEnableRemoteVendorManagementParameters",
    "StorageApplianceList",
    "StorageAppliancePatchParameters",
    "StorageApplianceSkuSlot",
    "StorageProfile",
    "StringKeyValuePair",
    "SystemData",
    "TagsParameter",
    "TrackedResource",
    "TrunkedNetwork",
    "TrunkedNetworkAttachmentConfiguration",
    "TrunkedNetworkList",
    "TrunkedNetworkPatchParameters",
    "UserAssignedIdentity",
    "ValidationThreshold",
    "VirtualMachine",
    "VirtualMachineList",
    "VirtualMachinePatchParameters",
    "VirtualMachinePlacementHint",
    "VirtualMachinePowerOffParameters",
    "Volume",
    "VolumeList",
    "VolumePatchParameters",
    "ActionType",
    "AdvertiseToFabric",
    "AgentPoolDetailedStatus",
    "AgentPoolMode",
    "AgentPoolProvisioningState",
    "AvailabilityLifecycle",
    "BareMetalMachineCordonStatus",
    "BareMetalMachineDetailedStatus",
    "BareMetalMachineEvacuate",
    "BareMetalMachineHardwareValidationResult",
    "BareMetalMachineKeySetDetailedStatus",
    "BareMetalMachineKeySetPrivilegeLevel",
    "BareMetalMachineKeySetProvisioningState",
    "BareMetalMachineKeySetUserSetupStatus",
    "BareMetalMachinePowerState",
    "BareMetalMachineProvisioningState",
    "BareMetalMachineReadyState",
    "BareMetalMachineSkipShutdown",
    "BfdEnabled",
    "BgpMultiHop",
    "BmcKeySetDetailedStatus",
    "BmcKeySetPrivilegeLevel",
    "BmcKeySetProvisioningState",
    "BootstrapProtocol",
    "CloudServicesNetworkDetailedStatus",
    "CloudServicesNetworkEnableDefaultEgressEndpoints",
    "CloudServicesNetworkProvisioningState",
    "ClusterConnectionStatus",
    "ClusterContinueUpdateVersionMachineGroupTargetingMode",
    "ClusterDetailedStatus",
    "ClusterManagerConnectionStatus",
    "ClusterManagerDetailedStatus",
    "ClusterManagerProvisioningState",
    "ClusterMetricsConfigurationDetailedStatus",
    "ClusterMetricsConfigurationProvisioningState",
    "ClusterProvisioningState",
    "ClusterScanRuntimeParametersScanActivity",
    "ClusterSecretArchiveEnabled",
    "ClusterType",
    "ClusterUpdateStrategyType",
    "ConsoleDetailedStatus",
    "ConsoleEnabled",
    "ConsoleProvisioningState",
    "ControlImpact",
    "CreatedByType",
    "DefaultGateway",
    "DeviceConnectionType",
    "DiskType",
    "FabricPeeringEnabled",
    "FeatureDetailedStatus",
    "HugepagesSize",
    "HybridAksIpamEnabled",
    "HybridAksPluginType",
    "IpAllocationType",
    "KubernetesClusterDetailedStatus",
    "KubernetesClusterFeatureAvailabilityLifecycle",
    "KubernetesClusterFeatureDetailedStatus",
    "KubernetesClusterFeatureProvisioningState",
    "KubernetesClusterFeatureRequired",
    "KubernetesClusterNodeDetailedStatus",
    "KubernetesClusterProvisioningState",
    "KubernetesNodePowerState",
    "KubernetesNodeRole",
    "KubernetesPluginType",
    "L2NetworkDetailedStatus",
    "L2NetworkProvisioningState",
    "L3NetworkConfigurationIpamEnabled",
    "L3NetworkDetailedStatus",
    "L3NetworkProvisioningState",
    "MachineSkuDiskConnectionType",
    "ManagedServiceIdentitySelectorType",
    "ManagedServiceIdentityType",
    "Origin",
    "OsDiskCreateOption",
    "OsDiskDeleteOption",
    "RackDetailedStatus",
    "RackProvisioningState",
    "RackSkuProvisioningState",
    "RackSkuType",
    "RemoteVendorManagementFeature",
    "RemoteVendorManagementStatus",
    "RuntimeProtectionEnforcementLevel",
    "SkipShutdown",
    "StorageApplianceDetailedStatus",
    "StorageApplianceProvisioningState",
    "TrunkedNetworkDetailedStatus",
    "TrunkedNetworkProvisioningState",
    "ValidationThresholdGrouping",
    "ValidationThresholdType",
    "VirtualMachineBootMethod",
    "VirtualMachineDetailedStatus",
    "VirtualMachineDeviceModelType",
    "VirtualMachineIPAllocationMethod",
    "VirtualMachineIsolateEmulatorThread",
    "VirtualMachinePlacementHintPodAffinityScope",
    "VirtualMachinePlacementHintType",
    "VirtualMachinePowerState",
    "VirtualMachineProvisioningState",
    "VirtualMachineSchedulingExecution",
    "VirtualMachineVirtioInterfaceType",
    "VolumeDetailedStatus",
    "VolumeProvisioningState",
    "WorkloadImpact",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
